Get All Completions for a Form
curl --request GET \
--url https://api.vomo.org/v1/forms/{id}/completions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vomo.org/v1/forms/{id}/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vomo.org/v1/forms/{id}/completions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.vomo.org/v1/forms/{id}/completions");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vomo.org/v1/forms/{id}/completions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.vomo.org/v1/forms/{id}/completions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vomo.org/v1/forms/{id}/completions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.vomo.org/v1/forms/{id}/completions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"type": "form_completion",
"id": 70001,
"form_id": 2001,
"user_id": 7903,
"project_id": null,
"participation_id": null,
"field_responses": [
{
"type": "form_field_response",
"id": 80001,
"form_completion_id": 70001,
"user_id": 7903,
"field_id": 5001,
"value": "M"
}
],
"created_at": "2025-11-05T10:00:00+00:00",
"updated_at": "2025-11-05T10:00:00+00:00"
},
{
"type": "form_completion",
"id": 70002,
"form_id": 2001,
"user_id": 8104,
"project_id": null,
"participation_id": null,
"field_responses": [
{
"type": "form_field_response",
"id": 80002,
"form_completion_id": 70002,
"user_id": 8104,
"field_id": 5001,
"value": "S"
}
],
"created_at": "2025-11-06T09:30:00+00:00",
"updated_at": "2025-11-06T09:30:00+00:00"
}
],
"links": {
"first": "https://api.vomo.org/v1/forms/2001/completions?page=1",
"last": "https://api.vomo.org/v1/forms/2001/completions?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"to": 14,
"path": "https://api.vomo.org/v1/forms/2001/completions",
"per_page": 15,
"total": 14
}
}{
"error": {
"code": 401,
"message": "Invalid API key"
}
}{
"message": "Not Found"
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}Forms
Get All Completions for a Form
Returns a paginated list of all completions for the specified form. Use this endpoint to pull volunteer responses, survey submissions, or waiver completions associated with a form. Filter by user_id to retrieve completions for a specific volunteer, or use the date filters to retrieve only recently submitted or modified completions.
GET
https://api.vomo.org/v1
/
forms
/
{id}
/
completions
Get All Completions for a Form
curl --request GET \
--url https://api.vomo.org/v1/forms/{id}/completions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vomo.org/v1/forms/{id}/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vomo.org/v1/forms/{id}/completions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.vomo.org/v1/forms/{id}/completions");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vomo.org/v1/forms/{id}/completions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.vomo.org/v1/forms/{id}/completions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vomo.org/v1/forms/{id}/completions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.vomo.org/v1/forms/{id}/completions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"type": "form_completion",
"id": 70001,
"form_id": 2001,
"user_id": 7903,
"project_id": null,
"participation_id": null,
"field_responses": [
{
"type": "form_field_response",
"id": 80001,
"form_completion_id": 70001,
"user_id": 7903,
"field_id": 5001,
"value": "M"
}
],
"created_at": "2025-11-05T10:00:00+00:00",
"updated_at": "2025-11-05T10:00:00+00:00"
},
{
"type": "form_completion",
"id": 70002,
"form_id": 2001,
"user_id": 8104,
"project_id": null,
"participation_id": null,
"field_responses": [
{
"type": "form_field_response",
"id": 80002,
"form_completion_id": 70002,
"user_id": 8104,
"field_id": 5001,
"value": "S"
}
],
"created_at": "2025-11-06T09:30:00+00:00",
"updated_at": "2025-11-06T09:30:00+00:00"
}
],
"links": {
"first": "https://api.vomo.org/v1/forms/2001/completions?page=1",
"last": "https://api.vomo.org/v1/forms/2001/completions?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"to": 14,
"path": "https://api.vomo.org/v1/forms/2001/completions",
"per_page": 15,
"total": 14
}
}{
"error": {
"code": 401,
"message": "Invalid API key"
}
}{
"message": "Not Found"
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}Authorizations
Query Parameters
Response
Returns the paginated list of form completions for the specified form. The response includes pagination links and meta fields to navigate additional pages.
Was this page helpful?